## pytest-qt 4.4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytest-qt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytest-qt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytest-qt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytest-qt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pytest-qt 2.1.0

=== debian/changelog ===
pytest-qt (2.1.0-2) unstable; urgency=medium

  * Add missing copyright information.
    Thanks to Chris Lamb for reporting (Closes: #855830)
  * Run autopkgtests for all supported Python versions

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 22 Feb 2017 14:48:29 +0000

pytest-qt (2.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #854365)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 11 Feb 2017 15:44:08 +0000

=== debian/control ===
Source: pytest-qt
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-pytest (>= 2.7.0),
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               sphinx-common
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/pytest-qt.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-qt.git
Homepage: https://github.com/pytest-dev/pytest-qt
X-Python3-Version: >= 3.4

Package: python3-pytestqt
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python-pytestqt-doc <!nodoc>
Description: pytest plugin for Qt application testing (Python 3)
 Pytest-qt is a pytest plugin that allows programmers to write tests for
 PySide and PyQt applications.
 .
 This package provides the Python 3 modules.

Package: python-pytestqt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for pytest-qt
 Pytest-qt is a pytest plugin that allows programmers to write tests for
 PySide and PyQt applications.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = pytestqt
# The tests can only be run against the installed package.
export PYBUILD_DISABLE = test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. sphinx-build -N -b html docs build/html
endif

=== debian/tests/control ===
Test-Command: set -e
 ; cp -a tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; PYTEST_QT_API=pyqt5 xvfb-run $py -m pytest tests
 ; done
Depends: python3-pyqt5, python3-pytestqt, xauth, xvfb

Test-Command: set -e
 ; cp -a tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; PYTEST_QT_API=pyside xvfb-run $py -m pytest tests
 ; done
Depends: python3-pyside, python3-pytestqt, xauth, xvfb

Test-Command: set -e
 ; cp -a tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; PYTEST_QT_API=pyqt4 xvfb-run $py -m pytest tests
 ; done
Depends: python3-pyqt4, python3-pytestqt, xauth, xvfb

## pytest-qt 2.1.2

=== debian/changelog ===
pytest-qt (2.1.2-3) unstable; urgency=medium

  * Fix FTBFS due to logging changes in Qt.
    Thanks to Dmitry Shachnev for the patch (Closes: #872992)
  * Use DEB_BUILD_OPTIONS for nocheck and nodoc guards
  * Fixup the Vcs-Browser URI
  * Bump standards version to 4.1.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 23 Aug 2017 19:26:33 +0100

pytest-qt (2.1.2-2) unstable; urgency=medium

  * Drop autopkgtests for PySide.
    Reason: PySide is not available for Python 3.6
  * Mark doc package M-A foreign
  * Run the tests at build time

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 30 Jul 2017 21:07:03 +0100

pytest-qt (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * Update the patch queue
    - Drop Fix-query-of-module-version-in-docs.patch, applied upstream
    - Refresh Skip-tests-requiring-a-window-manager.patch
  * Add missing dependency on python3-all for all tests.
    Thanks to Steve Langasek (Closes: #864693)
  * Filter the egg-info directory using extend-diff-ignore
  * Build the docs using the upstream Makefile
  * Bump standards version to 4.0.0, no changes required
  * Call xvfb-run with -a option in autopkgtests

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 13 Jul 2017 10:42:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,17 @@
                dh-python,
                dpkg-dev (>= 1.17.14),
                python3-all,
+               python3-pyqt5 <!nocheck>,
                python3-pytest (>= 2.7.0),
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               sphinx-common
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/pytest-qt.git
+               sphinx-common,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest-qt.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-qt.git
 Homepage: https://github.com/pytest-dev/pytest-qt
 X-Python3-Version: >= 3.4
@@ -32,6 +35,7 @@
 
 Package: python-pytestqt-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = pytestqt
export PYBUILD_BEFORE_TEST = cp -r {dir}/*.egg-info {build_dir}
export PYBUILD_AFTER_TEST = rm -rf {build_dir}/*.egg-info

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	QT_LOGGING_RULES="default.debug=true" xvfb-run -a dh_auto_test
endif

=== debian/tests/control ===
Test-Command: set -e
 ; cp -a tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; QT_LOGGING_RULES="default.debug=true" PYTEST_QT_API=pyqt5 xvfb-run -a $py -m pytest tests
 ; done
Depends: python3-all, python3-pyqt5, python3-pytestqt, xauth, xvfb

Test-Command: set -e
 ; cp -a tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; QT_LOGGING_RULES="default.debug=true" PYTEST_QT_API=pyqt4 xvfb-run -a $py -m pytest tests
 ; done
Depends: python3-all, python3-pyqt4, python3-pytestqt, xauth, xvfb

## pytest-qt 2.3.1

=== debian/changelog ===
pytest-qt (2.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Ghislain Antony Vaillant ]
  * New upstream version 2.3.1
  * Refresh the patch queue
  * Update the copyright years
  * Normalize the package descriptions
  * Drop the get-orig-source target
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Set PYTEST_QT_API before running the tests
  * Increase verbosity of autopkgtests

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 15 Feb 2018 21:03:31 +0000

pytest-qt (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * Add choice of PyQt APIs to Recommends
  * Bump the standards version to 4.1.1

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 10 Oct 2017 14:24:45 +0100

pytest-qt (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Refresh the patch queue
  * Fixup whitespacing in rules file
  * Replace occurrences of findstring with filter
  * Add recommended get-orig-source target

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 19 Sep 2017 22:32:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python3-all,
@@ -16,22 +16,23 @@
                sphinx-common,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest-qt.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-qt.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-qt
+Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-qt.git
 Homepage: https://github.com/pytest-dev/pytest-qt
 X-Python3-Version: >= 3.4
 
 Package: python3-pytestqt
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
+Recommends: python3-pyqt5 | python3-pyqt4
 Suggests: python-pytestqt-doc <!nodoc>
 Description: pytest plugin for Qt application testing (Python 3)
  Pytest-qt is a pytest plugin that allows programmers to write tests for
  PySide and PyQt applications.
  .
- This package provides the Python 3 modules.
+ This package provides the modules for Python 3.
 
 Package: python-pytestqt-doc
 Architecture: all

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; QT_LOGGING_RULES="default.debug=true" PYTEST_QT_API=pyqt5 xvfb-run -a $py -m pytest -v
 ; done
Depends: python3-all, python3-pyqt5, python3-pytestqt, xauth, xvfb

Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; QT_LOGGING_RULES="default.debug=true" PYTEST_QT_API=pyqt4 xvfb-run -a $py -m pytest -v
 ; done
Depends: python3-all, python3-pyqt4, python3-pytestqt, xauth, xvfb

## pytest-qt 3.2.2

=== debian/changelog ===
pytest-qt (3.2.2-2) unstable; urgency=medium

  * Team Upload.
  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Nilesh Patra ]
  * Clean _version.py pre-build (Closes: #978266)
  * Add upstream/metadata
  * Bump debhelper-compat version to 13
  * Declare compliance with policy 4.5.1
  * Do not run autopkgtest for QT4 API,
    since it has been removed from the archive
  * Move tests to run-unit-test to avoid no-op

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 07 Jan 2021 00:35:02 +0530

pytest-qt (3.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #917597)
  * d/patches/Remove-mouseEvent-proxy-method.patch: Dropped, not needed
    anymore
  * d/patches/Skip-tests-requiring-a-window-manager.patch: Rebased
  * Enable autopkgtest-pkg-python testsuite
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.3.0 (no changes)
  * d/copyright: Update for new upstream release

 -- Ondřej Nový <onovy@debian.org>  Sun, 06 Jan 2019 21:12:33 +0100

pytest-qt (2.3.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ Mattia Rizzolo ]
  * Drop build-depends on old dpkg-dev.
  * Bump Standards-Version to 4.2.1.
    + Set Rules-Requires-Root:no.
  * Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 12:59:50 +0200

pytest-qt (2.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Dmitry Shachnev ]
  * Adapt for QTest.mouseEvent removing in PyQt v5.11.
    (Closes: #906400)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Sep 2018 12:40:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pytest-qt
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python3-all,
                python3-pyqt5 <!nocheck>,
                python3-pytest (>= 2.7.0),
@@ -16,11 +15,12 @@
                sphinx-common,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-qt
-Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-qt.git
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-qt
+Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-qt.git
 Homepage: https://github.com/pytest-dev/pytest-qt
-X-Python3-Version: >= 3.4
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-pytestqt
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pytestqt
export PYBUILD_BEFORE_TEST=cp -r {dir}/*.egg-info {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/*.egg-info

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f pytestqt/_version.py
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	QT_LOGGING_RULES="default.debug=true" PYTEST_QT_API=pyqt5 xvfb-run -a dh_auto_test
endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-all, python3-pyqt5, python3-pytestqt, xauth, xvfb
Restrictions: allow-stderr

## pytest-qt 4.0.2

=== debian/changelog ===
pytest-qt (4.0.2-1) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Remove unused license definitions for LGPL-3+.

  [ Michael R. Crusoe ]
  * New upstream release.
  * d/contron: append ":any" to python build-dep to facilitate cross-
    building.
  * d/control: pull in python3-pytest-xvfb for checks
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Refresh patches
  * Added patch to fix "privacy-breach-generic"

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Oct 2021 12:37:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,26 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all,
+               python3-all:any,
                python3-pyqt5 <!nocheck>,
-               python3-pytest (>= 2.7.0),
+               python3-pytest,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common,
                xauth <!nocheck>,
-               xvfb <!nocheck>
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
+               xvfb <!nocheck>,
+               python3-pytest-xvfb <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-qt
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-qt.git
 Homepage: https://github.com/pytest-dev/pytest-qt
-Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-pytestqt
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=pytestqt
-export PYBUILD_BEFORE_TEST=cp -r {dir}/*.egg-info {build_dir}
+export PYBUILD_BEFORE_TEST=cp -r {dir}/src/*.egg-info {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/*.egg-info
 
 %:
@@ -27,5 +27,5 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	QT_LOGGING_RULES="default.debug=true" PYTEST_QT_API=pyqt5 xvfb-run -a dh_auto_test
+	QT_QPA_PLATFORM=offscreen QT_LOGGING_RULES="default.debug=true" PYTEST_QT_API=pyqt5 dh_auto_test
 endif

## pytest-qt 4.2.0+repack

=== debian/changelog ===
pytest-qt (4.2.0+repack-1) unstable; urgency=medium

  * Team upload.
  * Retarget d/watch to Github
  * Repack upstream source to remove the (now conflicting)
    auto-generated _version.py (Closes: #1030486)
  * Clean up d/rules
  * Bump Standards-Version to 4.6.2
  * Move to pybuild-autopkgtest
  * Drop ${sphinxdoc:Built-Using} from python-pytestqt-doc

 -- Timo Röhling <roehling@debian.org>  Sat, 04 Feb 2023 11:34:01 +0100

pytest-qt (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.2.0
    - Use pytest.hookimpl to configure hooks, avoiding a deprecation
      warning in pytest 7.2.0

 -- Timo Röhling <roehling@debian.org>  Sat, 17 Dec 2022 17:39:23 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pytestqt
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
export PYBUILD_AFTER_BUILD=$(MAKE) -C docs html PYTHONPATH={build_dir} 
endif
ifneq ($(PYBUILD_AUTOPKGTEST),1)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
export PYBUILD_BEFORE_TEST={interpreter} setup.py egg_info -e {build_dir}
export PYBUILD_AFTER_TEST=rm -r {build_dir}/*.egg-info
endif
endif

export QT_QPA_PLATFORM=offscreen
export QT_LOGGING_RULES="default.debug=true"
export PYTEST_QT_API=pyqt5

%:
	dh $@ --buildsystem=pybuild

## pytest-qt 4.3.1

=== debian/changelog ===
pytest-qt (4.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.3.1 (Closes: #1058113)

 -- Bastian Germann <bage@debian.org>  Tue, 26 Dec 2023 12:34:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+	       dh-sequence-python3,
+	       dh-sequence-sphinxdoc <!nodoc>,
                python3-all:any,
                python3-pyqt5 <!nocheck>,
                python3-pytest,
@@ -17,7 +19,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
                python3-pytest-xvfb <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-qt
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-qt.git
 Homepage: https://github.com/pytest-dev/pytest-qt
@@ -41,7 +43,6 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation for pytest-qt
  Pytest-qt is a pytest plugin that allows programmers to write tests for
  PySide and PyQt applications.

## pytest-qt 4.4.0

=== debian/changelog ===
pytest-qt (4.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.4.0

 -- Alexandre Detiste <tchet@debian.org>  Mon, 25 Nov 2024 07:43:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
 	       dh-sequence-python3,
 	       dh-sequence-sphinxdoc <!nodoc>,
                python3-all:any,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export PYBUILD_NAME=pytestqt
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-export PYBUILD_AFTER_BUILD=$(MAKE) -C docs html PYTHONPATH={build_dir} 
+export PYBUILD_AFTER_BUILD=$(MAKE) -C docs html PYTHONPATH={build_dir}
 endif
 ifneq ($(PYBUILD_AUTOPKGTEST),1)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -20,4 +20,3 @@
 
 %:
 	dh $@ --buildsystem=pybuild
-

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,dversionmangle=s%\+repack%% \
 https://api.github.com/repos/pytest-dev/pytest-qt/tags \
 tarball/(?:[^"]*?/)?v?@ANY_VERSION@
